commit:     72d162289e519781843a148900ac0e664d36266b
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Sun Nov 23 23:16:37 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Nov 24 13:28:47 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72d16228

sci-libs/cantera: 3.2.0 version bump

The app-text/doxygen now is always required to build Cantera library

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Part-of: https://github.com/gentoo/gentoo/pull/44752
Closes: https://github.com/gentoo/gentoo/pull/44752
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-libs/cantera/Manifest             |   2 +
 sci-libs/cantera/cantera-3.2.0.ebuild | 156 ++++++++++++++++++++++++++++++++++
 2 files changed, 158 insertions(+)

diff --git a/sci-libs/cantera/Manifest b/sci-libs/cantera/Manifest
index 2bbade6db634..b822b61eeaf8 100644
--- a/sci-libs/cantera/Manifest
+++ b/sci-libs/cantera/Manifest
@@ -1,3 +1,5 @@
 DIST cantera-3.0.1.tar.gz 2451841 BLAKE2B 
b05771021a81d5266dfed382e2a6357e5b70653c6d9cfb5f03a6755095f4f8f4e7c0f78b79e0bf131c01fefce46bbc647c790ee412b6457c515cda39d4fc3054
 SHA512 
fa993b33867c6c0a0ca539f52116c4cdea739dfcd30deb5d2f66042f290f7f2f60112d7a37c38fbd8a38a119e5af00a7a85fd80b6e36388202b666be0ddd7715
 DIST cantera-3.1.0.tar.gz 2605640 BLAKE2B 
6912b4e6b96ff71f02484a8fa051f8d34d0fc24c933e08e129531c6fe10e80fea74fcf6a6f7b00736de7b6ed5d4ab483f37a51b532d9bf154646546a8856e2a2
 SHA512 
0400a01ed0e244e6a34c9c04ffd5174ce6632c713c9bf003ab96e22b6f5a62713ee6a7eb07d7ae614e9f4e303e17df7fd234d66a48e43e46ede0246bb2bac52b
 DIST cantera-3.1.0_example_data.tar.gz 244545 BLAKE2B 
c341a7d530ad2486660b1dfe870f6ddd49280101bc7e98d3a88dea3aaaab0ae6c25383746f688164a04385a462a513f706d0ee248a675806de22df467d4f074f
 SHA512 
a6171a106460f8b7a84bf825db38826444c30f921ba27896a50e1b52177550deaa5f66e11f6f91a2b91c4023e3dfb55b46233d2b6176afa771154dd81f8b34ab
+DIST cantera-3.2.0.tar.gz 2817937 BLAKE2B 
5e6058fb57c05315661f6298f6f4384d266510221e1bc5c8b2b7041b11a6fab0d588c87d05c61543a87ac98fea01763f68614c25948783e8fa17a2a3a7ca2846
 SHA512 
d587029567ebc4685d03c811fbcc56f676e2f29270b8cb69d22e2518911db2bdfe40c7683d822c09c0a723925479b247beae44a3edc07c86a48e67d2bad628b8
+DIST cantera-3.2.0_example_data.tar.gz 260526 BLAKE2B 
2c1ff2430bc42867e6dc41cb0677382139fed152e022cae0b94597f8962181d1c46013818344429114584826c7e6dbe58fd9854a5f3d46fd966fe9fb248cb207
 SHA512 
940a16f69975b7171d56a1d8c89bc0d8e2e306e8be041974bdd33f4061dca4c172555d1886785f294f3b009856b4112e95870c4b891a9153529c94747fca936f

diff --git a/sci-libs/cantera/cantera-3.2.0.ebuild 
b/sci-libs/cantera/cantera-3.2.0.ebuild
new file mode 100644
index 000000000000..170ad5d207c1
--- /dev/null
+++ b/sci-libs/cantera/cantera-3.2.0.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} )
+
+FORTRAN_NEEDED=fortran
+FORTRAN_STANDARD="77 90"
+
+inherit flag-o-matic fortran-2 python-single-r1 scons-utils toolchain-funcs
+
+DESCRIPTION="Object-oriented tool suite for chemical kinetics, thermodynamics, 
and transport"
+HOMEPAGE="https://www.cantera.org";
+SRC_URI="
+       https://github.com/Cantera/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz
+       
https://github.com/Cantera/cantera-example-data/archive/refs/tags/v${PV}.tar.gz 
-> ${P}_example_data.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="fortran hdf5 lapack +python test"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
+"
+
+RDEPEND="
+       ${PYTHON_DEPS}
+       dev-cpp/yaml-cpp
+       hdf5? ( sci-libs/highfive )
+       !lapack? ( sci-libs/sundials:0= )
+       lapack? (
+               >=sci-libs/sundials-6.5.0:0=[lapack?]
+               virtual/lapack
+       )
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/numpy[${PYTHON_USEDEP}]
+                       dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+               ')
+       )
+"
+
+DEPEND="
+       ${RDEPEND}
+       >=app-text/doxygen-1.13.0[dot]
+       dev-cpp/eigen:3
+       dev-libs/boost:=
+       dev-libs/libfmt
+       python? (
+               $(python_gen_cond_dep '
+                       dev-python/cython[${PYTHON_USEDEP}]
+                       dev-python/pip[${PYTHON_USEDEP}]
+               ')
+       )
+       test? (
+               >=dev-cpp/gtest-1.11.0
+               python? (
+                       $(python_gen_cond_dep '
+                               dev-python/h5py[${PYTHON_USEDEP}]
+                               dev-python/pandas[${PYTHON_USEDEP}]
+                               dev-python/pytest[${PYTHON_USEDEP}]
+                               dev-python/scipy[${PYTHON_USEDEP}]
+                       ')
+               )
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-3.1.0_env.patch"
+)
+
+src_unpack() {
+       default
+       mv -T "${WORKDIR}/${PN}-example-data-${PV}" "${S}"/data/example_data || 
die
+}
+
+pkg_setup() {
+       fortran-2_pkg_setup
+       python-single-r1_pkg_setup
+}
+
+## Full list of configuration options of Cantera is presented here:
+## https://cantera.org/3.2/develop/compiling/config-options.html
+src_configure() {
+       # -Werror=odr, -Werror=lto-type-mismatch
+       # https://github.com/Cantera/cantera/issues/1783
+       filter-lto
+
+       scons_vars=(
+               AR="$(tc-getAR)"
+               CC="$(tc-getCC)"
+               CXX="$(tc-getCXX)"
+               cc_flags="${CXXFLAGS}"
+               cxx_flags="-std=c++20"
+               debug="no"
+               FORTRAN="$(tc-getFC)"
+               FORTRANFLAGS="${FCFLAGS}"
+               optimize_flags="-Wno-inline"
+               renamed_shared_libraries="no"
+               use_pch="no"
+               ## In some cases other order can break the detection of right 
location of Boost: ##
+               system_fmt="y"
+               system_sundials="y"
+               system_eigen="y"
+               system_yamlcpp="y"
+               hdf_support=$(usex hdf5 y n)
+               system_blas_lapack=$(usex lapack y n)
+               env_vars="all"
+               extra_inc_dirs="/usr/include/eigen3"
+               use_rpath_linkage="yes"
+               extra_lib_dirs="/usr/$(get_libdir)/${PN}"
+       )
+       use hdf5 && scons_vars+=( system_highfive="y" )
+       use lapack && scons_vars+=( blas_lapack_libs="lapack,blas" )
+       use test || scons_vars+=( googletest="none" )
+
+       scons_targets=(
+               f90_interface=$(usex fortran y n)
+       )
+
+       if use python ; then
+               scons_targets+=( python_package="y" python_cmd="${EPYTHON}" )
+       else
+               scons_targets+=( python_package="n" )
+       fi
+}
+
+src_compile() {
+       escons build "${scons_vars[@]}" "${scons_targets[@]}" prefix="/usr"
+}
+
+src_test() {
+       escons test
+}
+
+src_install() {
+       escons install stage_dir="${D}" libdirname="$(get_libdir)"
+       if ! use python ; then
+               rm -r "${D}/usr/share/man" || die "Can't remove man files."
+       else
+               # Run the byte-compile of modules
+               python_optimize "${D}$(python_get_sitedir)/${PN}"
+       fi
+
+       # User could remove this line if require static libs for development 
purpose
+       find "${ED}" -name '*.a' -delete || die
+}
+
+pkg_postinst() {
+       local post_msg=$(usex fortran "and Fortran " "")
+       elog "C++ ${post_msg}samples are installed to 
'/usr/share/${PN}/samples/' directory."
+}

Reply via email to